lkml.org 
[lkml]   [2018]   [Aug]   [26]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: linux-next: build warnings from the build of Linus' tree
Hi Stephen,

On Fri, 24 Aug 2018 22:42:11 +1000
Stephen Rothwell <sfr@canb.auug.org.au> wrote:

> Hi Masami,
>
> On Fri, 24 Aug 2018 20:47:56 +0900 Masami Hiramatsu <mhiramat@kernel.org> wrote:
> >
> > gcc-7.3.0 cross build ld shows below warnings.
> >
> > MODPOST vmlinux.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> > KSYM .tmp_kallsyms1.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> > KSYM .tmp_kallsyms2.o
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
> > KSYM .tmp_kallsyms3.o
> > LD vmlinux
> > /opt/gcc-7.3.0-nolibc/powerpc64-linux/bin/powerpc64-linux-ld: warning: orphan section `.gnu.hash' from `linker stubs' being placed in section `.gnu.hash'.
>
> I reported those a while ago when I started using the native Debian gcc
> on my Powerpc build box.
>
> > But it seems another warning, and I couldn't see your warnings. Could you tell me your gcc version?
>
> Currently, it is the Debian gcc 8.2.0, ld 2.31.1.

Hmm, unfortunately, I couldn't reproduce the ".data..LPBX1" error with
my gcc-8.1.0 + ld-2.30 distributed at https://cdn.kernel.org/pub/tools/crosstool/.
Could you also try to enable CONFIG_GCOV_PROFILE_ALL=y and build the kernel?
If it causes similar error, it should be caused by gcov support.

Thank you,

--
Masami Hiramatsu <mhiramat@kernel.org>

\
 
 \ /
  Last update: 2018-08-26 10:11    [W:0.163 / U:0.152 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site